## org.hibernate.engine.transaction.spi
Interface SynchronizationRegistry

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SynchronizationRegistryImpl

    public interface SynchronizationRegistry

extends Serializable

Manages a registry of `Synchronizations`.

Method Summary
`void` `notifySynchronizationsAfterTransactionCompletion(int status)` Delegate `Synchronization.afterCompletion(int)` calls to `registered` `Synchronizations`
`void` `notifySynchronizationsBeforeTransactionCompletion()` Delegate `Synchronization.beforeCompletion()` calls to the `registered` `Synchronizations`
`void` `registerSynchronization(Synchronization synchronization)` Register a user `Synchronization` callback for this transaction.

Method Detail

### registerSynchronization

    void registerSynchronization(Synchronization synchronization)

  Register a user `Synchronization` callback for this transaction.

  Parameters:
    `synchronization` - The synchronization callback to register.
  Throws:
    `HibernateException`

### notifySynchronizationsBeforeTransactionCompletion

    void notifySynchronizationsBeforeTransactionCompletion()

  Delegate `Synchronization.beforeCompletion()` calls to the `registered` `Synchronizations`

### notifySynchronizationsAfterTransactionCompletion

    void notifySynchronizationsAfterTransactionCompletion(int status)

  Delegate `Synchronization.afterCompletion(int)` calls to `registered` `Synchronizations`

  Parameters:
    `status` - The transaction status (if known) per `Status`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.